Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Stefan Monnier <[email-masked]>
Date: Mon, 11 Jul 2022 13:06:40 -0400

> Apologies: the doc string for select-window virtually says it grabs the
> focus.  Couldn't we go the whole way, and explicitly state that
> select-window is really "select-window-set-input-focus"?

This sounds problematic at the very least for cases like
`with-selected-window` and `save-window-excursion`, where we don't
really want the code to "set and (un/re)set" the focus.  And similarly
when code does `select-window` while Emacs doesn't have focus at all.

We do have a kind of messy situation w.r.t distinguishing the notion of
selected-frame (and selected-window to some extend) from its interaction
with window-manager focus.  But I'm not sure we can (nor should) really
unify the two.

        Stefan